/* New-Getline : close */

#include "getline.h"

int CloseGetline(_GETLNDT *gdt)
/* getline使用終了処理 */
{
	if (!gdt->finit) return(-1); /* getline()は使用されていない */
	/* バッファー開放 */
	free(gdt->history);
	free(gdt->buffer);
	gdt->finit=0;	/* クローズ完了 */
	return(0);	/* 正常終了 */
}
